## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-testing.common.database
Version:        2.0.3
Release:        %autorelease
Summary:        Utilities for testing.* packages

License:        Apache-2.0
URL:            https://github.com/tk0miya/testing.common.database
Source0:        %{pypi_source testing.common.database}

# Support Callable in collections.abc
# https://github.com/tk0miya/testing.common.database/pull/25
Patch0:         %{url}/pull/25.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n     python3-testing.common.database
Summary:        %{summary}

# This happens automatically on Fedora and EPEL9+:
%py_provides python3-testing-common-database
# In particular, these should not generally be manually added, but it solves
# the problem of consistency with Fedora and allows dependencies to work as
# expected.
Provides:       python3dist(testing-common-database) = %{version}
Provides:       python%{python3_version}dist(testing-common-database) = %{version}

%description -n python3-testing.common.database %{common_description}


%prep
%autosetup -n testing.common.database-%{version} -p1


%build
%py3_build


%install
%py3_install


%check
# Upstream has no (non-linter) tests.
PYTHONPATH='%{buildroot}%{python3_sitelib}' '%{python3}' -c \
    'import testing, testing.common, testing.common.database'


%files -n python3-testing.common.database
%license LICENSE
%doc README.rst
# Note that testing is a namespace package; other packages in this namespace
# could co-own it, but in practice will most likely depend on this package.
# This is true of python-testing.postgresql and (if it packaged in the future)
# python-testing.mysqld.
%dir %{python3_sitelib}/testing
%dir %{python3_sitelib}/testing/common
%pycached %{python3_sitelib}/testing/common/database.py
%{python3_sitelib}/testing.common.database-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/testing.common.database-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Aug 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-5
- Improved spec-file commentary

* Fri Aug 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-4
- Update License to SPDX

* Thu Jan 06 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-3
- Add extra Python Provides consistent with Fedora

* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-2
- Backport to EPEL8

* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-1
- Initial package (close RHBZ#2033828)
